#include "geometrytriangles.h"

using namespace VRUT;
using namespace std;


int geometrytriangles_cmp(const void* a, const void* b )
{
	std::pair<Vector3,size_t>* a1 = (std::pair<Vector3,size_t>*)a;
	std::pair<Vector3,size_t>* b1 = (std::pair<Vector3,size_t>*)b;
	return (int)(a1->first < b1->first);
}

/*struct VerticesVectorSort
{
	std::vector<Vector3> * verts;
	VerticesVectorSort(std::vector<Vector3> * _verts): verts(_verts) {}
	bool operator()(size_t rpStart, size_t rpEnd)
	{
		return verts->at(rpStart).x < verts->at(rpEnd).x;
	}
};*/
